MapDefinitionParserMutator (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.delegate.MapDefinitionParserMutator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.delegate
Class MapDefinitionParserMutator

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
              org.mule.config.spring.parsers.delegate.MapDefinitionParserMutator

All Implemented Interfaces:
  TwoStageMapBeanAssemblerFactory.BeanAssemblerStore, MuleChildDefinitionParser, MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

    public class MapDefinitionParserMutator

extends AbstractDelegatingDefinitionParser
implements TwoStageMapBeanAssemblerFactory.BeanAssemblerStore, MuleChildDefinitionParser

This changes a `ChildDefinitionParser` so that it generates a map instead of a bean definition. This is useful for converting parsers to work with the object factory (which requires a map).

Field Summary

Fields inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`logger`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`MapDefinitionParserMutator(String setter, ChildDefinitionParser delegate)`

Method Summary
`void` | `forceParent(org.springframework.beans.factory.config.BeanDefinition parent)`
`protected ChildDefinitionParser` | `getChildDelegate()`
`PropertyConfiguration` | `getTargetPropertyConfiguration()`
`org.springframework.beans.factory.support.AbstractBeanDefinition` | `muleParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`
`void` | `saveBeanAssembler(BeanAssembler beanAssembler)`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`addAlias, addBeanFlag, addCollection, addDelegate, addIgnored, addMapping, addMapping, addMapping, addReference, getBeanName, getDelegate, parseInternal, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault, size`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParser
`getBeanName`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParserConfiguration
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault`

Constructor Detail

### MapDefinitionParserMutator

    public MapDefinitionParserMutator(String setter,
                                      ChildDefinitionParser delegate)

Method Detail

### muleParse

    public org.springframework.beans.factory.support.AbstractBeanDefinition muleParse(Element element,
                                                                                      org.springframework.beans.factory.xml.ParserContext parserContext)

  Specified by:
    `muleParse` in interface `MuleDefinitionParser`

### saveBeanAssembler

    public void saveBeanAssembler(BeanAssembler beanAssembler)

  Specified by:
    `saveBeanAssembler` in interface `TwoStageMapBeanAssemblerFactory.BeanAssemblerStore`

### getChildDelegate

    protected ChildDefinitionParser getChildDelegate()

### forceParent

    public void forceParent(org.springframework.beans.factory.config.BeanDefinition parent)

  Specified by:
    `forceParent` in interface `MuleChildDefinitionParser`

### getTargetPropertyConfiguration

    public PropertyConfiguration getTargetPropertyConfiguration()

  Specified by:
    `getTargetPropertyConfiguration` in interface `MuleChildDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.